## python-ezsnmp 1.1.0

=== requirements.txt ===
atomicwrites==1.4.1
attrs==24.2.0
black==24.10.0
click== 8.1.7
colorama==0.4.6
coverage==7.6.2
flake8==7.1.1
iniconfig==2.0.0
mccabe==0.7.0
mypy-extensions==1.0.0
packaging==24.1
pathspec==0.12.1
platformdirs==4.3.6
pluggy==1.5.0
py==1.11.0
pycodestyle==2.12.1
pyflakes==3.2.0
pyparsing==3.1.4
pytest==8.3.3
pytest-cov==5.0.0
pytest-sugar==1.0.0
termcolor==2.5.0
tomli==2.0.2
setuptools==75.1.0
urllib3==2.2.3
build==1.2.2
cibuildwheel==2.21.3
pip==24.2
wheel==0.44.0

=== sphinx_docs_build/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = source
BUILDDIR      = ../docs/.

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

clean:
	rm -drf $(BUILDDIR)/doctrees/
	rm -drf $(BUILDDIR)/html/


# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== sphinx_docs_build/requirements.txt ===
Sphinx==8.1.0
sphinx-rtd-theme==3.0.1

=== debian/changelog ===
python-ezsnmp (1.1.0-2build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 13:54:00 +0000

python-ezsnmp (1.1.0-2) unstable; urgency=medium

  * Bump Standards-Version, no changes needed

 -- Bernhard Schmidt <berni@debian.org>  Mon, 10 Mar 2025 11:20:37 +0100

python-ezsnmp (1.1.0-1) unstable; urgency=medium

  * Switch to new fork / source package name (Closes: #1091917)
  * New upstream version 1.1.0
  * Update d/control

 -- Bernhard Schmidt <berni@debian.org>  Tue, 04 Mar 2025 09:03:30 +0100

python-easysnmp (0.2.6-1) unstable; urgency=medium

  * New upstream version 0.2.6
  * Add d/watch

 -- Bernhard Schmidt <berni@debian.org>  Tue, 06 Sep 2022 22:27:41 +0200

python-easysnmp (0.2.5+git20220424-1) unstable; urgency=medium

  * Initial release (Closes: #961021)

 -- Bernhard Schmidt <berni@debian.org>  Sat, 28 May 2022 23:09:50 +0200

=== debian/control ===
Source: python-ezsnmp
Section: python
Priority: optional
Maintainer: Bernhard Schmidt <berni@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-all-dev,
               python3-setuptools,
               libsnmp-dev
Standards-Version: 4.7.2
Homepage: https://github.com/carlkidcrypto/ezsnmp
Vcs-Browser: https://salsa.debian.org/debian/python-ezsnmp
Vcs-Git: https://salsa.debian.org/debian/python-ezsnmp.git

Package: python3-ezsnmp
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: Pythonic SNMP library based on Net-SNMP (Python 3)
 Easy SNMP is a fork of Net-SNMP Python Bindings that attempts to bring a more
 Pythonic interface to the library. This module provides a full-featured SNMP
 client API and supports all dialects of the SNMP protocol.
 .
 This is a fork of the discontinued python-easysnmp library.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=python-ezsnmp

export DEB_CFLAGS_MAINT_APPEND  = -Wno-sign-compare -Wno-unused-function

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_test:

# If you need to rebuild the Sphinx documentation
# Add spinxdoc to the dh --with line
#override_dh_auto_build:
#	dh_auto_build
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml        docs/ build/html # HTML generator
#	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman        docs/ build/man # Manpage generator
